Package docking.widgets.table.constraint.dialog

# Class FilterPanelLayout

java.lang.Object
docking.widgets.table.constraint.dialog.FilterPanelLayout

All Implemented Interfaces:
  `LayoutManager`

public class FilterPanelLayout extends Object implements LayoutManager
Specialized layout for the TableFilterDialog panels. It is intended for a container with exactly three components. The first two components are sized to the width specified and the last component gets its preferred width. When laying out the components, the first two are always sized to the specified width and the 3rd component gets all remaining size;

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterPanelLayout(int componentWidth, int hgap)`
  Construct layout where first two components always have given width.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container parent)`
  `Dimension`
  `minimumLayoutSize(Container parent)`
  `Dimension`
  `preferredLayoutSize(Container parent)`
  `void`
  `removeLayoutComponent(Component comp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilterPanelLayout

    public FilterPanelLayout(int componentWidth, int hgap)
    Construct layout where first two components always have given width.
    Parameters:
      `componentWidth` - the width of each of the first two components.
      `hgap` - the space between componennts.

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`

  - ### layoutContainer

    public void layoutContainer(Container parent)
    Specified by:
      `layoutContainer` in interface `LayoutManager`